body {
  display: block;
  margin: 0;
  overflow: hidden;
  font-family: 'JetBrains Mono', monospace;
  z-index: 1;
}

main {
  position: fixed; /* Sit on top of the page content */
  display: none; /* Hidden by default */
  width: 100%; /* Full width (cover the whole page) */
  height: 100%; /* Full height (cover the whole page) */
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5); /* Black background with opacity */
  z-index: 2; /* Specify a stack order in case you're using a different order for other elements */
}

main.h1 {
  position: absolute;
  top: 50%;
  left: 50%;
  font-size: 50px;
  color: rgb(0, 0, 0);
  transform: translate(-50%,-50%);
  -ms-transform: translate(-50%,-50%);
}

.parallax {
  perspective: 1px;
  height: 100vh;
  overflow-x: hidden;
  overflow-y: auto;
}

.parallax-layer {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.space-bg {
  transform: translate3d(0, 1200px, -1px) scale(2);
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  z-index: -101;
}

.spaceship-interior {
  transform: translateZ(0);
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  z-index: -100;
}